Subject: bug#51930: 27.2; Buffer-local functions? Buffers specified buffer-locally?

From: Drew Adams <[email-masked]>
Date: Tue, 20 Sep 2022 15:58:25 +0000

> > This is a very dramatic description of a problem ("can't make heads or
> > tails", "I have no idea what is meant", etc.), so I'm not sure whether
> > a simple cross-reference to the documentation of add-hook, which
> > explains what is meant by "buffer-local" in this case, will solve the
> > problem.  If it will, doing that is very easy.  In fact, I just did.
> 
> I think the section is clear after that clarification, so I'm closing
> this bug report.

Nope, it's not clear.  The doc of `add-hook' does
not at all talk about buffer-local functions.  It
talks about buffer-local hooks and a buffer-local
hook list.  A buffer-local function is neither
defined nor described anywhere.

If what is meant is the use of the function on
a hook buffer-locally, then say that.  Don't imply
that there's such a thing, defined anywhere, as
a buffer-local function.  Or else define it
somewhere.